Skip to main content
GET
/
client
/
equipment
/
in-storage
cURL
curl --request GET \
  --url https://sandbox-remote-api.rayda.co/api/v2/client/equipment/in-storage \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Records fetched successfully",
  "data": {
    "data": [
      {
        "id": "9e772661-06e4-4a6a-b68a-c0fd4a8f6612",
        "title": "HP Victus 16-r0097nr",
        "year": "2025",
        "assignee": {
          "id": "9e1bb011-153e-47c3-8898-0d55948d1054",
          "name": "David Alaba"
        },
        "make": "HP",
        "model": "14-dq0004x",
        "state": "Brand_New",
        "source": "Rayda",
        "purchase_date": "2025-03-19 01:57:01",
        "purchase_price": "2400",
        "type": "Laptop",
        "hash_code": null,
        "asset_order_id": "9e772660-fe6e-4612-be22-e15904bfdac9",
        "catalog": null,
        "currency": {
          "id": "745b4a13-3074-4804-bddd-6f8712db74e9",
          "name": "British Pound Sterling",
          "code": "GBP",
          "symbol": "£",
          "status": "Active",
          "created_at": "2024-10-10T13:06:17.000000Z",
          "updated_at": "2024-10-10T13:06:17.000000Z"
        },
        "image_url": null,
        "serial_number": null,
        "other_details": "[\"New condition\",\"16.1 Inches display\",\"i7 processor\",\"16GB RAM\",\"512GB SSD storage\"]",
        "specs": {
          "memory": "16GB",
          "storage": "512GB"
        },
        "description": "HP 16-r0097nr, LINUX OS, 16.1\", Intel® Core™ i7, 16GB RAM, 512 SSD, NVIDIA® GeForce RTX™ 4050, FHD, Mica.",
        "status": "In_Storage",
        "country": "Nigeria",
        "country_code": "NG",
        "created_at": "2025-03-19T00:57:01.000000Z",
        "updated_at": "2025-03-19T00:57:01.000000Z",
        "history": [
          {
            "id": "9e772661-0930-4a86-b6c7-c3e9250b4bac",
            "event_type": "equipment_added",
            "event_date": "2025-03-19T00:57:01.000000Z",
            "assignee": {
              "id": "9e1bb011-153e-47c3-8898-0d55948d1054",
              "name": "David Alaba"
            }
          }
        ]
      }
    ]
  },
  "total": 3,
  "per_page": 15,
  "current_page": 1,
  "last_page": 1
}
This endpoint fetches all equipment currently in storage within a company’s asset vault.

Example Request

GET {{BASE_URL}}/api/v2/client/equipment/in-storage

Example Response

{
    "success": true,
    "message": "Record fetched successfully",
    "data": {
        "data": [
            {
                "id": "9e772661-06e4-4a6a-b68a-c0fd4a8f6612",
                "title": "HP Victus 16-r0097nr",
                "year": "2025",
                "assignee": null,
                "make": "HP",
                "model": "14-dq0004x",
                "state": "Brand_New",
                "source": "Rayda",
                "purchase_date": "2025-03-19 01:57:01",
                "purchase_price": "2400",
                "type": "Laptop",
                "hash_code": null,
                "asset_order_id": "9e772660-fe6e-4612-be22-e15904bfdac9",
                "catalog": null,
                "currency": {
                    "id": "745b4a13-3074-4804-bddd-6f8712db74e9",
                    "name": "British Pound Sterling",
                    "code": "GBP",
                    "symbol": "£",
                    "status": "Active",
                    "created_at": "2024-10-10T13:06:17.000000Z",
                    "updated_at": "2024-10-10T13:06:17.000000Z"
                },
                "image_url": null,
                "serial_number": null,
                "other_details": "[\"New condition\",\"16.1 Inches display\",\"i7 processor\",\"16GB RAM\",\"512GB SSD storage\"]",
                "specs": {
                    "memory": "16GB",
                    "storage": "512GB"
                },
                "description": "HP 16-r0097nr, LINUX OS, 16.1\", Intel® Core™ i7, 16GB RAM, 512 SSD, NVIDIA® GeForce RTX™ 4050, FHD, Mica.",
                "status": "In_Storage",
                "country": "Nigeria",
                "country_code": "NG",
                "created_at": "2025-03-19T00:57:01.000000Z",
                "updated_at": "2025-03-19T00:57:01.000000Z",
                "history": [
                    {
                        "id": "9e772661-0930-4a86-b6c7-c3e9250b4bac",
                        "event_type": "equipment_added",
                        "event_date": "2025-03-19T00:57:01.000000Z",
                        "assignee": null
                    },
                    {
                        "id": "9e772661-0a8f-4f1e-b79d-e8a2185b7083",
                        "event_type": "assigned",
                        "event_date": "2025-03-19T00:57:01.000000Z",
                        "assignee": {
                            "id": "9e1bb011-153e-47c3-8898-0d55948d1054",
                            "name": "David Alaba"
                        }
                    }
                ]
            }
        ],
        "total": 1,
        "per_page": 15,
        "current_page": 1,
        "last_page": 1
    }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer<int32>

Specifies which page of records to retrieve.

per_page
integer<int32>

The number of records to return per page

Response

Records fetched successfully

success
boolean
Example:

true

message
string
Example:

"Records fetched successfully"

data
object
total
integer
Example:

3

per_page
integer
Example:

15

current_page
integer
Example:

1

last_page
integer
Example:

1